.control-button {
  padding-left: 0.5vw;
}

.log-table {
  border-collapse: collapse;
  width: 100%;
}

.log-table td, th {
  border: 1px solid #ddd;
  padding: 8px;
}

.log-table tr:nth-child(even){background-color: #f2f2f2;}

.log-table tr:hover {background-color: #ddd;}

.log-table td {
  text-align: left;
  font-size: 12px;
  vertical-align: top;
}

.control-panel {
  width: 100%;
  height: 21vw;
}

.map-panel {
  width: 43vw;
  height: 43vw;
  margin-top: 15px;
  text-align: center;
  margin-left: 2%;
}

.map {
  float: left;
}

.header {
  text-align: center;
  color: white;
  font-size: 2.2em;
  padding-top: 1%;
}

.map-content {
  text-align: center;
  width: 100%;
  padding-bottom: 15px;
}

.right-container {
  width: 49vw;
  float: left;
  color: white;
  margin-left: 2%;
}

table {
  border-spacing: 0;
  border-collapse: collapse;
}

td {
  background-size: 98% 95%;
  background-repeat: no-repeat;
  min-width: 28px;
}

.td-grass {
  background-image: url("../../../../assets/images/grass.png");
  min-width: 28px;
}

.td-water {
  background-image: url("../../../../assets/images/water.png");
  min-width: 28px;
}

.td-earth {
  background-image: url("../../../../assets/images/earth.png");
  min-width: 28px;
}

.td-mine {
  background-image: url("../../../../assets/images/mine.png");
  min-width: 28px;
}

.td-tree {
  background-image: url("../../../../assets/images/tree.png");
  min-width: 28px;
}

.td-worker1 {
  background-image: url("../../../../assets/images/worker1.png");
  min-width: 28px;
}

.td-worker2 {
  background-image: url("../../../../assets/images/worker2.png");
  min-width: 28px;
}

.td-warrior1 {
  background-image: url("../../../../assets/images/warrior1.png");
  min-width: 28px;
}

.td-warrior2 {
  background-image: url("../../../../assets/images/warrior2.png");
  min-width: 28px;
}

.td-archer1 {
  background-image: url("../../../../assets/images/archer1.png");
  min-width: 28px;
}

.td-archer2 {
  background-image: url("../../../../assets/images/archer2.png");
  min-width: 28px;
}

.td-horse1 {
  background-image: url("../../../../assets/images/horse1.png");
  min-width: 28px;
}

.td-horse2 {
  background-image: url("../../../../assets/images/horse2.png");
  min-width: 28px;
}

.td-worker1-e {
  background-image: url("../../../../assets/images/worker1-entrench.png");
  min-width: 28px;
}

.td-worker2-e {
  background-image: url("../../../../assets/images/worker2-entrench.png");
  min-width: 28px;
}

.td-warrior1-e {
  background-image: url("../../../../assets/images/warrior1-entrench.png");
  min-width: 28px;
}

.td-warrior2-e {
  background-image: url("../../../../assets/images/warrior2-entrench.png");
  min-width: 28px;
}

.td-archer1-e {
  background-image: url("../../../../assets/images/archer1-entrench.png");
  min-width: 28px;
}

.td-archer2-e {
  background-image: url("../../../../assets/images/archer2-entrench.png");
  min-width: 28px;
}

.td-horse1-e {
  background-image: url("../../../../assets/images/horse1-entrench.png");
  min-width: 28px;
}

.td-horse2-e {
  background-image: url("../../../../assets/images/horse2-entrench.png");
  min-width: 28px;
}

.td-base {
  background-image: url("../../../../assets/images/base.png");
  min-width: 28px;
}

#tiledMap {
  position: fixed;
  top: 90px;
  width: 40.5vw;
  height: 500px;
  z-index: 0;
}

#unitsMap {
  position: fixed;
  top: 90px;
  width: 40.5vw;
  height: 500px;
  z-index: 1;
}

.result-dialog {
  width: 200px;
  text-align: center;
}

.shieldResult {
  width: 80%;
  margin-left: 10%;
  height: 25%;
  text-align: center;
}

.shieldResult img {
  width: 92%;
  height: auto;
  animation: grow 3s;
}

.shield-img-p1 {
  content: url("../../../../assets/images/player1-shield.png");
}

.shield-img-p2 {
  content: url("../../../../assets/images/player2-shield.png");
}

@keyframes grow {
  0% {
    width: 60%;
    height: auto;
  }
  100% {
    width: 92%;
    height: auto;
  }
}

.dialog {
  z-index: 99999;
}

.shadow {
  display: block;
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background-color: black;
  opacity: 0.6;
  z-index: 5;
}
